#ifndef SBK_KSelectActionWrapper_H
#define SBK_KSelectActionWrapper_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <kselectaction.h>

namespace PySide { class DynamicQMetaObject; }

class KSelectActionWrapper : public KSelectAction
{
public:
    KSelectActionWrapper(const KSelectActionWrapper &) = delete;
    KSelectActionWrapper& operator=(const KSelectActionWrapper &) = delete;
    KSelectActionWrapper(KSelectActionWrapper &&) = delete;
    KSelectActionWrapper& operator=(KSelectActionWrapper &&) = delete;

    KSelectActionWrapper(::QObject * parent);
    KSelectActionWrapper(const ::QIcon & icon, const ::QString & text, ::QObject * parent);
    KSelectActionWrapper(const ::QString & text, ::QObject * parent);
    void childEvent(::QChildEvent * event) override;
    void connectNotify(const ::QMetaMethod & signal) override;
    ::QWidget * createWidget(::QWidget * parent) override;
    void customEvent(::QEvent * event) override;
    void deleteWidget(::QWidget * widget) override;
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * event) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    void insertAction(::QAction * before, ::QAction * action) override;
    ::QAction * removeAction(::QAction * action) override;
    void slotActionTriggered(::QAction * action) override;
    void timerEvent(::QTimerEvent * event) override;
    ~KSelectActionWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[12] = {false, false, false, false, false, false, false, false, false, false, false, false};
};

#endif // SBK_KSelectActionWrapper_H

