#ifndef SBK_KViewStateSerializerWrapper_H
#define SBK_KViewStateSerializerWrapper_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <kviewstateserializer.h>

namespace PySide { class DynamicQMetaObject; }

class KViewStateSerializerWrapper : public KViewStateSerializer
{
public:
    KViewStateSerializerWrapper(const KViewStateSerializerWrapper &) = delete;
    KViewStateSerializerWrapper& operator=(const KViewStateSerializerWrapper &) = delete;
    KViewStateSerializerWrapper(KViewStateSerializerWrapper &&) = delete;
    KViewStateSerializerWrapper& operator=(KViewStateSerializerWrapper &&) = delete;

    KViewStateSerializerWrapper(::QObject * parent = nullptr);
    void childEvent(::QChildEvent * event) override;
    void connectNotify(const ::QMetaMethod & signal) override;
    void customEvent(::QEvent * event) override;
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * event) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    ::QModelIndex indexFromConfigString(const ::QAbstractItemModel * model, const ::QString & key) const override;
    ::QString indexToConfigString(const ::QModelIndex & index) const override;
    void timerEvent(::QTimerEvent * event) override;
    ~KViewStateSerializerWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[9] = {false, false, false, false, false, false, false, false, false};
};

#endif // SBK_KViewStateSerializerWrapper_H

